From 02d7dce3d5da7ffbc730840f2f12b69bb0ae0990 Mon Sep 17 00:00:00 2001
From: Kamil Páral <kparal@redhat.com>
Date: May 11 2018 12:42:40 +0000
Subject: [PATCH 3/7] move vars template to end of file, use varsfile default


---

diff --git a/libtaskotron/executor.py b/libtaskotron/executor.py
index cf07395..16dbf4c 100644
--- a/libtaskotron/executor.py
+++ b/libtaskotron/executor.py
@@ -28,69 +28,6 @@ try:
 except ImportError as e:
     raise exc.TaskotronImportError(e)
 
-#: list of all vars and their defaults used exposed in our runner playbook
-_PLAYBOOK_VARS_TEMPLATE = {
-    # path to the root artifacts directory (on overlord and minion)
-    'artifacts_root': None,
-    # path to the playbook-specific artifacts directory (on overlord and
-    # minion)
-    'artifacts': None,
-    # path to directory with test suite (on minion)
-    'client_taskdir': None,
-    # path to taskotron tasks playbook (generic or STI)
-    'exec_tasks': None,
-    # heartbeat will appear in this file
-    'heartbeat_file': None,
-    # add line to heartbeat_file every x seconds (2 minutes)
-    'heartbeat_interval': 120,
-    # running on local machine (overlord), no remote connection
-    'local': False,
-    # a list of repos (strings) to install on the minion
-    'minion_repos': [],
-    # path to inventory file to be used with STI tests (local inside
-    # client_taskdir or global)
-    'sti_inventory': None,
-    # path to directory with test suite (on overlord)
-    'taskdir': None,
-    # architecture of taskotron_item to be tested
-    'taskotron_arch': None,
-    # whether to run a generic or STI task
-    'taskotron_generic_task': False,
-    # item under test
-    'taskotron_item_type': None,
-    # item type under test
-    'taskotron_item': None,
-    # how long should heartbeat process run (0 to disable)
-    'taskotron_keepalive_minutes': 0,
-    # whether VM guest arch has to match taskotron_arch
-    'taskotron_match_host_arch': False,
-    # whether VM guest distro has to match taskotron_item
-    'taskotron_match_host_distro': False,
-    # whether VM guest release has to match taskotron_item
-    'taskotron_match_host_release': False,
-    # list of base architectures supported by Taskotron (e.g. 'armhfp')
-    'taskotron_supported_arches': None,
-    # list of base+binary architectures supported by Taskotron (e.g. 'armhfp,
-    # armv7hl')
-    'taskotron_supported_binary_arches': None,
-    # path to playbook to execute inside client_taskdir (usually tests.yml)
-    'test_playbook': None,
-    # name of the ansible vars file inside artifacts/taskotron/ to forward to
-    # task
-    'varsfile': 'task_vars.json',
-}
-
-#: list of all vars to be exposed in the task playbook
-# if you adjust this, also adjust html documentation
-_FORWARDED_VARS = [
-    'artifacts',
-    'taskotron_arch',
-    'taskotron_item_type',
-    'taskotron_item',
-    'taskotron_supported_arches',
-    'taskotron_supported_binary_arches',
-]
-
 
 class Executor(object):
     '''Executor executes given task in the format of Ansible playbook. Before
@@ -270,7 +207,7 @@ class Executor(object):
         file_utils.makedirs(os.path.join(playbook_vars['artifacts'],
             'taskotron'))
         varsfile = os.path.join(playbook_vars['artifacts'], 'taskotron',
-                'task_vars.json')
+                playbook_vars['varsfile'])
         with open(varsfile, 'w') as vf:
             vars_str = json.dumps(fwdvars, indent=2, sort_keys=True)
             vf.write(vars_str)
@@ -425,3 +362,67 @@ class Executor(object):
             log.info('All playbooks finished successfully')
 
         return not failed
+
+
+#: list of all vars and their defaults used exposed in our runner playbook
+_PLAYBOOK_VARS_TEMPLATE = {
+    # path to the root artifacts directory (on overlord and minion)
+    'artifacts_root': None,
+    # path to the playbook-specific artifacts directory (on overlord and
+    # minion)
+    'artifacts': None,
+    # path to directory with test suite (on minion)
+    'client_taskdir': None,
+    # path to taskotron tasks playbook (generic or STI)
+    'exec_tasks': None,
+    # heartbeat will appear in this file
+    'heartbeat_file': None,
+    # add line to heartbeat_file every x seconds (2 minutes)
+    'heartbeat_interval': 120,
+    # running on local machine (overlord), no remote connection
+    'local': False,
+    # a list of repos (strings) to install on the minion
+    'minion_repos': [],
+    # path to inventory file to be used with STI tests (local inside
+    # client_taskdir or global)
+    'sti_inventory': None,
+    # path to directory with test suite (on overlord)
+    'taskdir': None,
+    # architecture of taskotron_item to be tested
+    'taskotron_arch': None,
+    # whether to run a generic or STI task
+    'taskotron_generic_task': False,
+    # item under test
+    'taskotron_item_type': None,
+    # item type under test
+    'taskotron_item': None,
+    # how long should heartbeat process run (0 to disable)
+    'taskotron_keepalive_minutes': 0,
+    # whether VM guest arch has to match taskotron_arch
+    'taskotron_match_host_arch': False,
+    # whether VM guest distro has to match taskotron_item
+    'taskotron_match_host_distro': False,
+    # whether VM guest release has to match taskotron_item
+    'taskotron_match_host_release': False,
+    # list of base architectures supported by Taskotron (e.g. 'armhfp')
+    'taskotron_supported_arches': None,
+    # list of base+binary architectures supported by Taskotron (e.g. 'armhfp,
+    # armv7hl')
+    'taskotron_supported_binary_arches': None,
+    # path to playbook to execute inside client_taskdir (usually tests.yml)
+    'test_playbook': None,
+    # name of the ansible vars file inside artifacts/taskotron/ to forward to
+    # task
+    'varsfile': 'task_vars.json',
+}
+
+#: list of all vars to be exposed in the task playbook
+# if you adjust this, also adjust html documentation
+_FORWARDED_VARS = [
+    'artifacts',
+    'taskotron_arch',
+    'taskotron_item_type',
+    'taskotron_item',
+    'taskotron_supported_arches',
+    'taskotron_supported_binary_arches',
+]

